
QGIS Application - Bug report #16342

Exporting shape file from a SpatiaLite table produces very large file size

2017-03-11 02:03 PM - R. R.

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/SpatiaLite

Affected QGIS version:2.18.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 24252

Description

To reproduce this issue please import a shape file in a SpatiaLite table and export the table as a shape file again. The new shape file is

more than twice as large as the original shape file!

History

#1 - 2017-03-11 02:04 PM - R. R.

- File 16342.m4v added

#2 - 2017-03-13 11:36 PM - Saber Razmjooei

- Status changed from Open to Feedback

Hi Reinhard,

What version of gdal are you using? I can't reproduce the problem with QGIS 2.18.4 (not from a ppa but built against latest gdal) in Ubuntu.

#3 - 2017-03-13 11:37 PM - Saber Razmjooei

- Category set to Data Provider/SpatiaLite

#4 - 2017-03-14 03:10 AM - R. R.

- File qgis_2_18_4_about added

Hi Saber,

the QGIS 'About' dialog says 'Compiled against GDAL/OGR 1.11.3':

https://issues.qgis.org/attachments/10841/qgis_2_18_4_about

I noticed this issue on Ubuntu 16.04 LTS and Windows 7.

#5 - 2017-03-14 05:04 AM - R. R.

Sample shape files (EPSG: 31259, Encoding: Windows-1252):

http://www.bev.gv.at/pls/portal/docs/PAGE/BEV_PORTAL_CONTENT_ALLGEMEIN/0200_PRODUKTE/UNENTGELTLICHE_PRODUKTE_DES_BEV/

GD-Oesterreich_gen_50.zip
http://www.bev.gv.at/pls/portal/docs/PAGE/BEV_PORTAL_CONTENT_ALLGEMEIN/0200_PRODUKTE/UNENTGELTLICHE_PRODUKTE_DES_BEV/VGD-Oesterreich_gen_50.zip
http://www.bev.gv.at/pls/portal/docs/PAGE/BEV_PORTAL_CONTENT_ALLGEMEIN/0200_PRODUKTE/UNENTGELTLICHE_PRODUKTE_DES_BEV/VGD-Oesterreich_gen_50.zip


#6 - 2017-03-17 02:28 AM - Saber Razmjooei

- Status changed from Feedback to Open

I can confirm the issue.

Using ogr2ogr the file size is 28 MB. But QGIS save as function output is 47 MB!

#7 - 2017-05-01 01:01 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#8 - 2018-03-07 12:06 PM - Nino Formica

Tested with GIS 2.18.17 and QGIS 3.0.0 (both GDAL/OGR 2.2.3): confirm the issue.

Sample shapefile VGD-Oesterreich_gen_50 originally has .dbf size 3.8 MB; after import in SpatiaLite and re-export as shapefile it becomes 32 MB !

#9 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
16342.m4v 3.92 MB 2017-03-11 R. R.

qgis_2_18_4_about 91.6 KB 2017-03-14 R. R.
